RoutesPages module
Pages routes
URLs the Pages module answers, their parameters and the variables each view receives.
Admin view
/cdna-admin/pages/add-page/{parent.id}
addPage
Add a new record. Assigns an empty record to the template.
Path parameters
parent.id matches \d+
| Variable | Type | Description |
|---|---|---|
$page |
Page |
Single (empty) Page record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/pages/page/{id}/{revision.id}
editPage
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+revision.id matches \d+
| Variable | Type | Description |
|---|---|---|
$page |
Page |
Retrieved Page record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/pages/pages
managePages
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$pages |
Collection<Page> |
Collection of Pages |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.